Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153773 - w3m has moved to gtk2, but still BuildRequires imlib-devel
Summary: w3m has moved to gtk2, but still BuildRequires imlib-devel
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: w3m
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-05 19:40 UTC by John Thacker
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.5.1-9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-06 17:34:10 UTC


Attachments (Terms of Use)

Description John Thacker 2005-04-05 19:40:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050328 Firefox/1.0.2 Fedora/1.0.2-3

Description of problem:
The latest update of w3m uses a CVS snapshot in order to build against gtk2 instead of gtk+.  However, it still BuildRequires imlib-devel instead of the gtk2 version, imlib2-devel.

Version-Release number of selected component (if applicable):
w3m-0.5.1-8

How reproducible:
Always

Steps to Reproduce:
1. rpmbuild --rebuild w3m-0.5.1-8.src.rpm
  

Actual Results:  error: Failed build dependencies:
        imlib-devel >= 1.9.13-9 is needed by w3m-0.5.1-8.i386


Expected Results:  It should have built. It builds and runs fine without imlib-devel installed if I remove the line from the spec file.

Additional info:

Comment 1 Akira TAGOH 2005-04-06 17:34:10 UTC
Thank you for catching this. it will be fixed in 0.5.1-9.


Note You need to log in before you can comment on or make changes to this bug.